compact3
javax.management

## Class StringValueExp

- java.lang.Object
- - javax.management.StringValueExp

- All Implemented Interfaces:
    Serializable, ValueExp

      public class StringValueExp
      extends Object
      implements ValueExp

  Represents strings that are arguments to relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringValueExp()` | Basic constructor.
    `StringValueExp(String val)` | Creates a new `StringValueExp` representing the given string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueExp` | `apply(ObjectName name)` | Applies the ValueExp on a MBean.
    `String` | `getValue()` | Returns the string represented by the `StringValueExp` instance.
    `void` | `setMBeanServer(MBeanServer s)` | Deprecated.
    `String` | `toString()` | Returns the string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueExp

          public StringValueExp()

      Basic constructor.

    - #### StringValueExp

          public StringValueExp(String val)

      Creates a new `StringValueExp` representing the given string.
      Parameters:
        `val` - the string that will be the value of this expression

  - ### Method Detail

    - #### getValue

          public String getValue()

      Returns the string represented by the `StringValueExp` instance.
      Returns:
        the string.

    - #### toString

          public String toString()

      Returns the string representing the object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

    - #### setMBeanServer

          @Deprecated
          public void setMBeanServer(MBeanServer s)

      Deprecated.
      Sets the MBean server on which the query is to be performed.
      Specified by:
        `setMBeanServer` in interface `ValueExp`
      Parameters:
        `s` - The MBean server on which the query is to be performed.

    - #### apply

          public ValueExp apply(ObjectName name)
                         throws BadStringOperationException,
                                BadBinaryOpValueExpException,
                                BadAttributeValueExpException,
                                InvalidApplicationException

      Applies the ValueExp on a MBean.
      Specified by:
        `apply` in interface `ValueExp`
      Parameters:
        `name` - The name of the MBean on which the ValueExp will be applied.
      Returns:
        The `ValueExp`.
      Throws:
        `BadStringOperationException`
        `BadBinaryOpValueExpException`
        `BadAttributeValueExpException`
        `InvalidApplicationException`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.